[v2] python3: Substitute correct python version in shebang

Submitted by Tyler Hall on May 5, 2014, 5:55 p.m.


Message ID 1399312542-31067-1-git-send-email-tylerwhall@gmail.com
State New
Headers show

Commit Message

Tyler Hall May 5, 2014, 5:55 p.m.
If python2 and python3 are both available, scripts that are subject to
this substitution can possibly run with the wrong python version.
python3-config is one such script.

Signed-off-by: Tyler Hall <tylerwhall@gmail.com>

v2: Update comment

 meta/recipes-devtools/python/python3-native_3.3.3.bb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Patch hide | download patch | download mbox

diff --git a/meta/recipes-devtools/python/python3-native_3.3.3.bb b/meta/recipes-devtools/python/python3-native_3.3.3.bb
index 7238eaf..ead0348 100644
--- a/meta/recipes-devtools/python/python3-native_3.3.3.bb
+++ b/meta/recipes-devtools/python/python3-native_3.3.3.bb
@@ -69,8 +69,8 @@  do_install() {
 	install -d ${D}${bindir}/${PN}
 	install -m 0755 Parser/pgen ${D}${bindir}/${PN}
-	# Make sure we use /usr/bin/env python
+	# Make sure we use python3 from $PATH
 	for PYTHSCRIPT in `grep -rIl ${bindir}/${PN}/python ${D}${bindir}/${PN}`; do
-		sed -i -e '1s|^#!.*|#!/usr/bin/env python|' $PYTHSCRIPT
+		sed -i -e '1s|^#!.*|#!/usr/bin/env python3|' $PYTHSCRIPT